> For the complete documentation index, see [llms.txt](https://docs.healthsherpa.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.healthsherpa.com/on-exchange-api-documentation/api-reference/intake-form-api/authentication-flow-for-intake-api/post-revoke.md).

# POST Revoke

Revoke an issued access token

## Revoke a token

> Revokes an access or refresh token. Returns HTTP 200 with an empty JSON object even when the token is unknown. Confidential clients must authenticate (for example \`client\_id\` and \`client\_secret\` in the body or HTTP Basic authentication).<br>

```json
{"openapi":"3.0.3","info":{"title":"HealthSherpa OAuth Authorization","version":"1.0.0"},"tags":[{"name":"POST revoke","description":"Revoke an issued access token"}],"servers":[{"url":"https://healthsherpa.com/oauth","description":"Production environment"},{"url":"https://staging.healthsherpa.com/oauth","description":"Staging environment"}],"paths":{"/revoke":{"post":{"summary":"Revoke a token","description":"Revokes an access or refresh token. Returns HTTP 200 with an empty JSON object even when the token is unknown. Confidential clients must authenticate (for example `client_id` and `client_secret` in the body or HTTP Basic authentication).\n","operationId":"oauthTokenRevoke","tags":["POST revoke"],"requestBody":{"required":true,"content":{"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/OAuthRevokeRequest"}},"application/json":{"schema":{"$ref":"#/components/schemas/OAuthRevokeRequest"}}}},"responses":{"200":{"description":"Token revoked, or token unknown / already invalid (empty object).","content":{"application/json":{"schema":{"type":"object","additionalProperties":false}}}},"403":{"description":"Authenticated client is not allowed to revoke the given token.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"},"error_description":{"type":"string"}}}}}}}}}},"components":{"schemas":{"OAuthRevokeRequest":{"type":"object","required":["token"],"properties":{"token":{"type":"string","description":"Access token or refresh token to revoke."},"token_type_hint":{"type":"string","enum":["access_token","refresh_token"],"description":"Optional hint which token type is supplied."},"client_id":{"type":"string"},"client_secret":{"type":"string","description":"Required for confidential clients (or use HTTP Basic authentication)."}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.healthsherpa.com/on-exchange-api-documentation/api-reference/intake-form-api/authentication-flow-for-intake-api/post-revoke.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
